1991-2006
Silicon Graphics, Inc.
glClearDepth
3G

# glClearDepth

specify the clear value for the depth buffer

## C Specification

                    void glClearDepth
                    GLclampd depth

## Parameters

`depth`

  Specifies the depth value used when the depth buffer is cleared. The initial value is 1.

## Description

`glClearDepth` specifies the depth value used by glClear to clear the depth buffer. Values specified by `glClearDepth` are clamped to the range 0 1 .

## Errors

`GL_INVALID_OPERATION` is generated if `glClearDepth` is executed between the execution of glBegin and the corresponding execution of glEnd.

## Associated Gets

glGet with argument `GL_DEPTH_CLEAR_VALUE`

## See Also

glClear

## Copyright

Copyright 1991-2006 Silicon Graphics, Inc. This document is licensed under the SGI Free Software B License. For details, see http://oss.sgi.com/projects/FreeB/.